org.apache.lucene.spatial3d.geom

## Class GeoPointShapeFactory

- java.lang.Object
- - org.apache.lucene.spatial3d.geom.GeoPointShapeFactory

    public class GeoPointShapeFactory
    extends Object

Class which constructs a GeoPointShape.

### Method Summary

All Methods Static Methods Concrete Methods
`static GeoPointShape` `makeGeoPointShape(PlanetModel planetModel, double lat, double lon)` Create a GeoPointShape with the provided information.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### makeGeoPointShape

    public static GeoPointShape makeGeoPointShape(PlanetModel planetModel,
                                                  double lat,
                                                  double lon)

Create a GeoPointShape with the provided information.

Parameters:
  `planetModel` - the planet model
  `lat` - the latitude
  `lon` - the longitude
Returns:
  a GeoPointShape corresponding to what was specified.